#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library libgpg-error
Summary(pl.UTF-8):	Biblioteka libgpg-error
Name:		libgpg-error
Version:	1.37
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.gnupg.org/gcrypt/libgpg-error/%{name}-%{version}.tar.bz2
# Source0-md5:	729f22d917494fdc4b54fce5aa6547c7
Patch0:		%{name}-info.patch
Patch1:		%{name}-pl.po-update.patch
URL:		http://www.gnupg.org/related_software/libgpg-error/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.14
BuildRequires:	gettext-tools >= 0.19.3
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

%description -l pl.UTF-8
libgpg-error jest biblioteką definiującą wartości błędów wspólne dla
komponentów GnuPG. Są wśród nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszłości.

%package devel
Summary:	Header files for libgpg-error
Summary(pl.UTF-8):	Pliki nagłówkowe dla libgpg-error
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains the header files needed to develop programs that
use these libgpg-error.

%description devel -l pl.UTF-8
libgpg-error jest biblioteką definiującą wartości błędów wspólne dla
komponentów GnuPG. Są wśród nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszłości.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libgpg-error.

%package static
Summary:	Static version of libgpg-error library
Summary(pl.UTF-8):	Statyczna wersja biblioteki libgpg-error
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains the static libgpg-error libraries.

%description static -l pl.UTF-8
libgpg-error jest biblioteką definiującą wartości błędów wspólne dla
komponentów GnuPG. Są wśród nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszłości.

Pakiet zawiera statyczne biblioteki libgpg-error.

%package -n common-lisp-gpg-error
Summary:	Common Lisp binding for libgpg-error library
Summary(pl.UTF-8):	Wiązania Common Lispa do biblioteki libgpg-error
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	common-lisp-controller

%description -n common-lisp-gpg-error
Common Lisp binding for libgpg-error library.

%description -n common-lisp-gpg-error -l pl.UTF-8
Wiązania Common Lispa do biblioteki libgpg-error.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_lib}
%{__mv} $RPM_BUILD_ROOT%{_libdir}/libgpg-error.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libgpg-error.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libgpg-error.so

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/gpg-error
%attr(755,root,root) /%{_lib}/libgpg-error.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libgpg-error.so.0
%{_datadir}/libgpg-error

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gpg-error-config
%attr(755,root,root) %{_bindir}/gpgrt-config
%attr(755,root,root) %{_bindir}/yat2m
%attr(755,root,root) %{_libdir}/libgpg-error.so
%{_libdir}/libgpg-error.la
%{_includedir}/gpg-error.h
%{_includedir}/gpgrt.h
%{_aclocaldir}/gpg-error.m4
%{_aclocaldir}/gpgrt.m4
%{_mandir}/man1/gpgrt-config.1*
%{_infodir}/gpgrt.info*
%{_pkgconfigdir}/gpg-error.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgpg-error.a
%endif

%files -n common-lisp-gpg-error
%defattr(644,root,root,755)
%{_datadir}/common-lisp/source/gpg-error
%changelog
* Sun Apr 05 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libgpg-error.git;a=log;h=master

* Sat Mar 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 5eb6c47
- added pl.po-update patch (update pl.po for 1.37)

* Sat Mar 07 2020 Jan Palus <atler@pld-linux.org> b20d42a
- up to 1.37

* Sun Mar 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 0b1aaea
- updated to 1.36
- updated pl.po-update patch

* Mon Jan 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 859954d
- updated to 1.35

* Sun Jan 20 2019 Jan Palus <atler@pld-linux.org> 9fc06bd
- up to 1.34

* Sat Dec 22 2018 Jan Palus <atler@pld-linux.org> e71d9f4
- up to 1.33

* Wed Aug 22 2018 Jakub Bogusz <qboosh@pld-linux.org> adf4ef3
- updated to 1.32

* Tue May 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a86ac6
- up to 1.31

* Thu Apr 12 2018 Jakub Bogusz <qboosh@pld-linux.org> 66cef9e
- updated to 1.29
- updated pl.po-update patch

* Wed Mar 08 2017 Jakub Bogusz <qboosh@pld-linux.org> 6c3a540
- updated pl.po-update patch

* Tue Mar 07 2017 Jakub Bogusz <qboosh@pld-linux.org> ac6e3c5
- updated to 1.27

* Fri Feb 03 2017 Jakub Bogusz <qboosh@pld-linux.org> bdbff71
- updated to 1.26

* Sun Nov 27 2016 Jakub Bogusz <qboosh@pld-linux.org> e78023d
- updated to 1.25
- updated pl.po-update patch

* Tue Oct 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 85df7c3
- package common-lisp- binding; release 2

* Sat Jul 30 2016 Jakub Bogusz <qboosh@pld-linux.org> 8f70f8f
- updated to 1.24

* Wed Jun 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 43c5e4b
- updated to 1.23
- updated pl.po-update patch

* Wed May 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 1cb7fb6
- updated to 1.22
- updated pl.po-update patch

* Tue Dec 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 82a31e5
- updated to 1.21
- updated pl.po-update patch

* Mon Sep 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 0b5c18b
- updated to 1.20

* Sat Apr 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 623bc17
- updated to 1.19
- updated pl.po-update patch

